Index: tester/rt/check.py
===================================================================
--- tester/rt/check.py	(revision 85e14e0cbf410dc7bfc280c5f738ec20e42e1a1a)
+++ tester/rt/check.py	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -446,8 +446,10 @@
         self.config = configparser.ConfigParser()
         self.name = None
+        self.ini = None
         self.archs = { }
         self.builds_ = { }
         self.profiles = { }
         self.configurations = { }
+        self.macro_filter = re.compile('\$\{.+\}')
 
     def __str__(self):
@@ -465,9 +467,26 @@
         try:
             rec = self.config.get(section, label).replace(os.linesep, ' ')
-            return rec
         except:
             if err:
                 raise error.general('config: no "%s" found in "%s"' % (label, section))
-        return None
+            return None
+        #
+        # On Python 2.7 there is no extended interpolation so add support here.
+        # On Python 3 this should happen automatically and so the findall
+        # should find nothing.
+        #
+        for m in self.macro_filter.findall(rec):
+            if ':' not in m:
+                raise error.general('config: interpolation is ${section:value}: %s' % (m))
+            section_value = m[2:-1].split(':')
+            if len(section_value) != 2:
+                raise error.general('config: interpolation is ${section:value}: %s' % (m))
+            try:
+                ref = self.config.get(section_value[0],
+                                      section_value[1]).replace(os.linesep, ' ')
+                rec = rec.replace(m, ref)
+            except:
+                pass
+        return rec
 
     def _get_items(self, section, err = True):
@@ -481,6 +500,6 @@
         return []
 
-    def _comma_list(self, section, label, error = True):
-        items = self._get_item(section, label, error)
+    def _comma_list(self, section, label, err = True):
+        items = self._get_item(section, label, err)
         if items is None:
             return []
@@ -494,4 +513,34 @@
                 raise error.general('config: section "%s" not found' % (section))
         return []
+
+    def _load(self, name):
+        #
+        # Load all the files.
+        #
+        self.ini = { 'base'     : path.dirname(name),
+                     'files'    : [] }
+        includes = [name]
+        still_loading = True
+        while still_loading:
+            still_loading = False
+            for include in includes:
+                if not path.exists(include):
+                    rebased_inc = path.join(self.ini['base'],
+                                            path.basename(include))
+                    if not path.exists(rebased_inc):
+                        e = 'config: cannot find configuration: %s' % (include)
+                        raise error.general(e)
+                    include = rebased_inc
+                if include not in self.ini['files']:
+                    try:
+                        self.config.read(include)
+                    except configparser.ParsingError as ce:
+                        raise error.general('config: %s' % (ce))
+                    still_loading = True
+                    self.ini['files'] += [include]
+            includes = []
+            if still_loading:
+                for section in self.config.sections():
+                    includes += self._comma_list(section, 'include', err = False)
 
     def _build_options(self, build, nesting = 0):
@@ -518,13 +567,7 @@
 
     def load(self, name, build):
-        if not path.exists(name):
-            raise error.general('config: cannot read configuration: %s' % (name))
-        self.name = name
-        try:
-            self.config.read(name)
-        except configparser.ParsingError as ce:
-            raise error.general('config: %s' % (ce))
+        self._load(name)
         archs = []
-        self.profiles['profiles'] = self._comma_list('profiles', 'profiles', error = False)
+        self.profiles['profiles'] = self._comma_list('profiles', 'profiles', err = False)
         if len(self.profiles['profiles']) == 0:
             self.profiles['profiles'] = ['tier-%d' % (t) for t in range(1,4)]
@@ -541,5 +584,5 @@
             arch = {}
             arch['excludes'] = {}
-            for exclude in self._comma_list(a, 'exclude', error = False):
+            for exclude in self._comma_list(a, 'exclude', err = False):
                 arch['excludes'][exclude] = ['all']
             for i in self._get_items(a, False):
@@ -549,8 +592,8 @@
                         arch['excludes'][exclude] = []
                     arch['excludes'][exclude] += sorted(set([b.strip() for b in i[1].split(',')]))
-            arch['bsps'] = self._comma_list(a, 'bsps', error = False)
+            arch['bsps'] = self._comma_list(a, 'bsps', err = False)
             for b in arch['bsps']:
                 arch[b] = {}
-                arch[b]['bspopts'] = self._comma_list(a, 'bspopts_%s' % (b), error = False)
+                arch[b]['bspopts'] = self._comma_list(a, 'bspopts_%s' % (b), err = False)
             self.archs[a] = arch
         builds = {}
@@ -638,10 +681,11 @@
         cols_2 = [10, width - 10]
         s = textbox.line(cols_1, line = '=', marker = '+', indent = 1)
-        s1 = ' File'
-        colon = ':'
-        for l in textwrap.wrap(self.name, width = cols_2[1] - 3):
-            s += textbox.row(cols_2, [s1, ' ' + l], marker = colon, indent = 1)
-            colon = ' '
-            s1 = ' ' * len(s1)
+        s1 = ' File(s)'
+        for f in self.ini['files']:
+            colon = ':'
+            for l in textwrap.wrap(f, width = cols_2[1] - 3):
+                s += textbox.row(cols_2, [s1, ' ' + l], marker = colon, indent = 1)
+                colon = ' '
+                s1 = ' ' * len(s1)
         s += textbox.line(cols_1, marker = '+', indent = 1)
         s += os.linesep
@@ -649,11 +693,15 @@
             s += textbox.line(cols_1, line = '=', marker = '+', indent = 1)
             profiles = sorted(self.profiles['profiles'])
-            bsps = 0
+            archs = []
+            bsps = []
             for profile in profiles:
-                archs = sorted(self.profiles[profile]['archs'])
-                for arch in archs:
-                    bsps += len(self.profiles[profile]['bsps_%s' % (arch)])
+                archs += self.profiles[profile]['archs']
+                for arch in sorted(self.profiles[profile]['archs']):
+                    bsps += self.profiles[profile]['bsps_%s' % (arch)]
+            archs = len(set(archs))
+            bsps = len(set(bsps))
             s += textbox.row(cols_1,
-                             [' Profiles : %d/%d' % (len(archs), bsps)],
+                             [' Profiles : %d (archs:%d, bsps:%d)' % \
+                              (len(profiles), archs, bsps)],
                              indent = 1)
             for profile in profiles:
@@ -667,10 +715,12 @@
                 archs = sorted(profile['archs'])
                 for arch in archs:
-                    s += textbox.line(cols_2, marker = '+', indent = 1)
-                    s1 = ' ' + arch
-                    for l in textwrap.wrap(', '.join(profile['bsps_%s' % (arch)]),
-                                           width = cols_2[1] - 2):
-                        s += textbox.row(cols_2, [s1, ' ' + l], indent = 1)
-                        s1 = ' ' * len(s1)
+                    arch_bsps = ', '.join(profile['bsps_%s' % (arch)])
+                    if len(arch_bsps) > 0:
+                        s += textbox.line(cols_2, marker = '+', indent = 1)
+                        s1 = ' ' + arch
+                        for l in textwrap.wrap(arch_bsps,
+                                               width = cols_2[1] - 3):
+                            s += textbox.row(cols_2, [s1, ' ' + l], indent = 1)
+                            s1 = ' ' * len(s1)
                 s += textbox.line(cols_2, marker = '+', indent = 1)
             s += os.linesep
@@ -690,5 +740,5 @@
                 s1 = ' ' + build
                 for l in textwrap.wrap(', '.join(builds[build]),
-                                       width = cols_b[1] - 2):
+                                       width = cols_b[1] - 3):
                     s += textbox.row(cols_b, [s1, ' ' + l], indent = 1)
                     s1 = ' ' * len(s1)
Index: tester/rtems/rtems-bsps-arm.ini
===================================================================
--- tester/rtems/rtems-bsps-arm.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-arm.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,73 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# ARM Architecture
+#
+[arm]
+bsps = altcycv_devkit,
+       altcycv_devkit_smp,
+       arm1136jfs, arm1136js, arm7tdmi, arm920, armcortexa9, atsamv,
+       beagleboardorig, beagleboardxm, beagleboneblack, beaglebonewhite,
+       csb336, csb337, csb637,
+       edb7312,
+       kit637_v6,
+       gumstix,
+       lm3s3749, lm3s6965, lm3s6965_qemu, lm4f120,
+       lpc1768_mbed, lpc1768_mbed_ahb_ram, lpc1768_mbed_ahb_ram_eth,
+       lpc17xx_ea_ram, lpc17xx_ea_rom_int, lpc17xx_plx800_ram,
+       lpc17xx_plx800_rom_int, lpc2362, lpc23xx_tli800, lpc24xx_ea,
+       lpc24xx_ncs_ram, lpc24xx_ncs_rom_ext, lpc24xx_ncs_rom_int,
+       lpc24xx_plx800_ram, lpc24xx_plx800_rom_int, lpc40xx_ea_ram,
+       lpc40xx_ea_rom_int, lpc32xx_mzx, lpc32xx_mzx_stage_1,
+       lpc32xx_mzx_stage_2, lpc32xx_phycore,
+       raspberrypi, raspberrypi2,
+       realview_pbx_a9_qemu, realview_pbx_a9_qemu_smp,
+       rtl22xx, rtl22xx_t,
+       smdk2410,
+       stm32f105rc, stm32f4,
+       tms570ls3137_hdk, tms570ls3137_hdk_intram,
+       tms570ls3137_hdk_sdram,
+       tms570ls3137_hdk_with_loader,
+       xilinx_zynq_zc702, xilinx_zynq_zc706, xilinx_zynq_zedboard,
+       xilinx_zynq_a9_qemu
+exclude-smp = arm1136jfs,
+              arm1136js, arm7tdmi, arm920, armcortexa9, atsamv,
+              beagleboardorig, beagleboardxm, beagleboneblack, beaglebonewhite,
+              csb336, csb337, csb637,
+              edb7312,
+              kit637_v6,
+              gumstix,
+              lm3s3749, lm3s6965, lm3s6965_qemu, lm4f120,
+              lpc1768_mbed, lpc1768_mbed_ahb_ram, lpc1768_mbed_ahb_ram_eth,
+              lpc17xx_ea_ram, lpc17xx_ea_rom_int, lpc17xx_plx800_ram,
+              lpc17xx_plx800_rom_int, lpc2362, lpc23xx_tli800, lpc24xx_ea,
+              lpc24xx_ncs_ram, lpc24xx_ncs_rom_ext, lpc24xx_ncs_rom_int,
+              lpc24xx_plx800_ram, lpc24xx_plx800_rom_int, lpc40xx_ea_ram,
+              lpc40xx_ea_rom_int, lpc32xx_mzx, lpc32xx_mzx_stage_1,
+              lpc32xx_mzx_stage_2, lpc32xx_phycore,
+              raspberrypi, raspberrypi2,
+              rtl22xx, rtl22xx_t,
+              smdk2410,
+              stm32f105rc, stm32f4,
+              tms570ls3137_hdk, tms570ls3137_hdk_intram,
+              tms570ls3137_hdk_sdram,
+              tms570ls3137_hdk_with_loader
+exclude-network = altcycv_devkit, altcycv_devkit_smp,
+                  realview_pbx_a9_qemu, realview_pbx_a9_qemu_smp
Index: tester/rtems/rtems-bsps-bfin.ini
===================================================================
--- tester/rtems/rtems-bsps-bfin.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-bfin.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# Blackfin Architecture
+#
+[bfin]
+bsps = TLL6527M, bf537Stamp, eZKit533
+exclude = smp
Index: tester/rtems/rtems-bsps-epiphany.ini
===================================================================
--- tester/rtems/rtems-bsps-epiphany.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-epiphany.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# Epiphany Architecture
+#
+[epiphany]
+bsps = epiphany-sim
+exclude = smp
Index: tester/rtems/rtems-bsps-i386.ini
===================================================================
--- tester/rtems/rtems-bsps-i386.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-i386.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,26 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# i386 Architecture
+#
+[i386]
+bsps = edison, pc386, pc486, pc586-sse, pc586, pc686, pcp4
+exclude = smp
+bspopts_pc686 = BSP_PRINT_EXCEPTION_CONTEXT=1
Index: tester/rtems/rtems-bsps-lm32.ini
===================================================================
--- tester/rtems/rtems-bsps-lm32.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-lm32.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# LM32 Architecture
+#
+[lm32]
+bsps = lm32_evr, lm32_evr_gdbsim, milkymist
+exclude = smp
Index: tester/rtems/rtems-bsps-m32c.ini
===================================================================
--- tester/rtems/rtems-bsps-m32c.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-m32c.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# M32C Architecture
+#
+[m32c]
+bsps = m32csim
+exclude = smp
Index: tester/rtems/rtems-bsps-m68k.ini
===================================================================
--- tester/rtems/rtems-bsps-m68k.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-m68k.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,37 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# LM32 Architecture
+#
+[m68k]
+bsps = av5282,
+       csb360,
+       gen68340, gen68360, gen68360_040,
+       pgh360,
+       COBRA5475,
+       m5484FireEngine,
+       mcf5206elite,
+       mcf52235, mcf5225x,
+       mcf5235,
+       mcf5329,
+       mrm332,
+       mvme147, mvme147s, mvme162, mvme162lx, mvme167,
+       uC5282
+exclude = smp
Index: tester/rtems/rtems-bsps-mips.ini
===================================================================
--- tester/rtems/rtems-bsps-mips.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-mips.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# MIPS Architecture
+#
+[mips]
+bsps =  csb350, hurricane, jmr3904, malta, rbtx4925, rbtx4938
+exclude = smp
Index: tester/rtems/rtems-bsps-moxie.ini
===================================================================
--- tester/rtems/rtems-bsps-moxie.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-moxie.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# Moxie Architecture
+#
+[moxie]
+bsps = moxiesim
+exclude = smp
Index: tester/rtems/rtems-bsps-nios2.ini
===================================================================
--- tester/rtems/rtems-bsps-nios2.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-nios2.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# NIOS2 Architecture
+#
+[nios2]
+bsps = nios2_iss
+exclude = smp
Index: tester/rtems/rtems-bsps-or1k.ini
===================================================================
--- tester/rtems/rtems-bsps-or1k.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-or1k.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# OR1K Architecture
+#
+[or1k]
+bsps = generic_or1k
+exclude = smp
Index: tester/rtems/rtems-bsps-powerpc.ini
===================================================================
--- tester/rtems/rtems-bsps-powerpc.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-powerpc.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,74 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# PowerPC Architecture
+#
+[powerpc]
+bsps = beatnik,
+       br_uid, brs5l, brs6l,
+       dp2,
+       gwlcfm,
+       haleakala,
+       hsc_cm01
+       icecube,
+       mcp750,
+       mpc5566evb, mpc5566evb_spe, phycore_mpc5554,
+       mpc5643l_dpu, mpc5643l_evb, mpc5668g,
+       mpc5674f_ecu508_app, mpc5674f_ecu508_boot, mpc5674f_rsm6, mpc5674fevb, mpc5674fevb_spe
+       mpc8260ads,
+       mpc8309som,
+       mpc8313erdb,
+       mpc8349eamds
+       mtx603e
+       mvme2100, mvme2307, mvme3100, mvme5500
+       pghplus,
+       pm520_cr825, pm520_ze30,
+       psim,
+       qemuppc, qemuprep, qemuprep-altivec,
+       qoriq_core_0, qoriq_core_1, qoriq_p1020rdb, qoriq_t2080rdb, qoriq_t4240rdb,
+       ss555,
+       t32mppc,
+       tqm8xx_stk8xx,
+       virtex, virtex4, virtex5
+exclude-smp = beatnik,
+              br_uid, brs5l, brs6l,
+              dp2,
+              gwlcfm,
+              haleakala,
+              hsc_cm01
+              icecube,
+              mcp750,
+              mpc5566evb, mpc5566evb_spe, phycore_mpc5554,
+              mpc5643l_dpu, mpc5643l_evb, mpc5668g,
+              mpc5674f_ecu508_app, mpc5674f_ecu508_boot, mpc5674f_rsm6, mpc5674fevb, mpc5674fevb_spe
+              mpc8260ads,
+              mpc8309som,
+              mpc8313erdb,
+              mpc8349eamds
+              mtx603e
+              mvme2100, mvme2307, mvme3100, mvme5500
+              pghplus,
+              pm520_cr825, pm520_ze30,
+              psim,
+              qoriq_core_0, qoriq_core_1,
+              ss555,
+              t32mppc,
+              tqm8xx_stk8xx,
+              virtex, virtex4, virtex5
Index: tester/rtems/rtems-bsps-sh.ini
===================================================================
--- tester/rtems/rtems-bsps-sh.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-sh.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# SH Architecture
+#
+[sh]
+bsps =  gensh1, gensh2, gensh4, simsh1, simsh2, simsh2e, simsh4
+exclude = smp
Index: tester/rtems/rtems-bsps-sparc.ini
===================================================================
--- tester/rtems/rtems-bsps-sparc.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-sparc.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# SPARC Architecture
+#
+[sparc]
+bsps = erc32, leon2, leon3, ngmp
+exclude-smp = erc32, leon2, ngmp
Index: tester/rtems/rtems-bsps-sparc64.ini
===================================================================
--- tester/rtems/rtems-bsps-sparc64.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-sparc64.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# SPARC64 Architecture
+#
+[sparc64]
+bsps = niagara, usiii
+exclude = smp
Index: tester/rtems/rtems-bsps-tiers.ini
===================================================================
--- tester/rtems/rtems-bsps-tiers.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-tiers.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,75 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# Tier 1: no build errors and no unexpected tests failures on hardware.
+#
+[tier-1]
+archs = arm, i386, sparc
+bsps_arm = altcycv_devkit,
+    altcycv_devkit_smp,
+    xilinx_zynq_zc702, xilinx_zynq_zc706, xilinx_zynq_zedboard
+bsps_i386 = pc686
+bsps_sparc = leon2, leon3
+
+#
+# Tier 2: no build errors and no unexpected tests failures on hardware and
+#         simulators.
+#
+[tier-2]
+archs = arm, sparc
+bsps_arm = lm3s6965_qemu,
+    realview_pbx_a9_qemu, realview_pbx_a9_qemu_smp,
+    xilinx_zynq_a9_qemu
+bsps_sparc = erc32
+#
+# Tier 3: no build errors, no tests run.
+#
+[tier-3]
+archs = arm, moxie
+bsps_arm = arm1136jfs,
+    arm1136js, arm7tdmi, arm920, armcortexa9, atsamv,
+    beagleboardorig, beagleboardxm, beagleboneblack, beaglebonewhite,
+    csb336, csb337, csb637,
+    edb7312,
+    kit637_v6,
+    gumstix,
+    lm3s3749, lm3s6965, lm4f120,
+    lpc1768_mbed, lpc1768_mbed_ahb_ram, lpc1768_mbed_ahb_ram_eth,
+    lpc17xx_ea_ram, lpc17xx_ea_rom_int, lpc17xx_plx800_ram,
+    lpc17xx_plx800_rom_int, lpc2362, lpc23xx_tli800, lpc24xx_ea,
+    lpc24xx_ncs_ram, lpc24xx_ncs_rom_ext, lpc24xx_ncs_rom_int,
+    lpc24xx_plx800_ram, lpc24xx_plx800_rom_int, lpc40xx_ea_ram,
+    lpc40xx_ea_rom_int, lpc32xx_mzx, lpc32xx_mzx_stage_1,
+    lpc32xx_mzx_stage_2, lpc32xx_phycore,
+    raspberrypi, raspberrypi2,
+    rtl22xx, rtl22xx_t,
+    smdk2410,
+    stm32f105rc, stm32f4,
+    tms570ls3137_hdk, tms570ls3137_hdk_intram,
+    tms570ls3137_hdk_sdram,
+    tms570ls3137_hdk_with_loader
+bsps_moxie = moxiesim
+
+#
+# Tier 4: nothing expected.
+#
+[tier-4]
+archs = epiphany
+bsps_epiphany = epiphany_sim
Index: tester/rtems/rtems-bsps-v850.ini
===================================================================
--- tester/rtems/rtems-bsps-v850.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
+++ tester/rtems/rtems-bsps-v850.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -0,0 +1,25 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2017 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-bsp-builder'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+#
+# V850 Architecture
+#
+[v850]
+bsps =  v850e1sim, v850e2sim, v850e2v3sim, v850esim, v850essim, v850sim
+exclude = smp
Index: tester/rtems/rtems-bsps.ini
===================================================================
--- tester/rtems/rtems-bsps.ini	(revision 85e14e0cbf410dc7bfc280c5f738ec20e42e1a1a)
+++ tester/rtems/rtems-bsps.ini	(revision 9a8a03c713b627293762d5a1b7b239cc31cf6357)
@@ -19,135 +19,96 @@
 
 [profiles]
-profiles = tier-1, tier-2, tier-3, tier-4
+profiles = tier-1, tier-2, tier-3, tier-4, everything
 
 #
-# Tier 1: no build errors and no unexpected tests failures on hardware.
+# Define how each profile is to be treated. Note, hardware vs simulator testing
+# is handled in the configuration, there is not specific test to determine
+# this.
 #
-[tier-1]
-archs = arm, i386, sparc
-bsps_arm = altcycv_devkit,
-    altcycv_devkit_smp,
-    xilinx_zynq_zc702, xilinx_zynq_zc706, xilinx_zynq_zedboard
-bsps_i386 = pc686
-bsps_sparc = leon2, leon3
+[tier-1-profile]
+active = Yes
+build = Yes
+tests = Yes
+
+[tier-2-profile]
+active = Yes
+build = Yes
+tests = Yes
+
+[tier-3-profile]
+active = Yes
+build = Yes
+tests = No
+
+[tier-4-profile]
+active = No
+build = No
+tests = No
+
+[everything-profile]
+active = Yes
+build = Yes
+tests = No
 
 #
-# Tier 2: no build errors and no unexpected tests failures on hardware and
-#         simulators.
+# Tiers.
 #
-[tier-2]
-archs = arm, sparc
-bsps_arm = lm3s6965_qemu,
-    realview_pbx_a9_qemu, realview_pbx_a9_qemu_smp,
-    xilinx_zynq_a9_qemu
-bsps_sparc = erc32
-#
-# Tier 3: no build errors, no tests run.
-#
-[tier-3]
-archs = arm, moxie
-bsps_arm = arm1136jfs,
-    arm1136js, arm7tdmi, arm920, armcortexa9, atsamv,
-    beagleboardorig, beagleboardxm, beagleboneblack, beaglebonewhite,
-    csb336, csb337, csb637,
-    edb7312,
-    kit637_v6,
-    gumstix,
-    lm3s3749, lm3s6965, lm4f120,
-    lpc1768_mbed, lpc1768_mbed_ahb_ram, lpc1768_mbed_ahb_ram_eth,
-    lpc17xx_ea_ram, lpc17xx_ea_rom_int, lpc17xx_plx800_ram,
-    lpc17xx_plx800_rom_int, lpc2362, lpc23xx_tli800, lpc24xx_ea,
-    lpc24xx_ncs_ram, lpc24xx_ncs_rom_ext, lpc24xx_ncs_rom_int,
-    lpc24xx_plx800_ram, lpc24xx_plx800_rom_int, lpc40xx_ea_ram,
-    lpc40xx_ea_rom_int, lpc32xx_mzx, lpc32xx_mzx_stage_1,
-    lpc32xx_mzx_stage_2, lpc32xx_phycore,
-    raspberrypi, raspberrypi2,
-    rtl22xx, rtl22xx_t,
-    smdk2410,
-    stm32f105rc, stm32f4,
-    tms570ls3137_hdk, tms570ls3137_hdk_intram,
-    tms570ls3137_hdk_sdram,
-    tms570ls3137_hdk_with_loader
-bsps_moxie = moxiesim
+[tiers]
+include = rtems-bsps-tiers.ini
 
 #
-# Tier 4: nothing expected.
+# All the architectures and BSPs.
 #
-[tier-4]
-archs = epiphany
-bsps_epiphany = epiphany_sim
+[everything]
+archs = arm,
+        bfin,
+        epiphany,
+        i386,
+        lm32,
+        m32c,
+        m68k,
+        mips,
+        moxie,
+        or1k,
+        powerpc,
+        sh,
+        sparc,
+        sparc64,
+        v850
+bsps_arm = ${arm:bsps}
+bsps_bfin = ${bfin:bsps}
+bsps_epiphany = ${epiphany:bsps}
+bsps_i386 = ${i386:bsps}
+bsps_lm32 = ${lm32:bsps}
+bsps_m32c = ${m32c:bsps}
+bsps_m68k = ${m68k:bsps}
+bsps_mips = ${mips:bsps}
+bsps_moxie = ${moxie:bsps}
+bsps_or1k = ${or1k:bsps}
+bsps_powerpc = ${powerpc:bsps}
+bsps_sh = ${sh:bsps}
+bsps_sparc = ${sparc:bsps}
+bsps_sparc64 = ${sparc64:bsps}
+bsps_v850 = ${v850:bsps}
 
 #
 # Architectures
 #
-[arm]
-bsps = altcycv_devkit,
-    altcycv_devkit_smp,
-    arm1136jfs, arm1136js, arm7tdmi, arm920, armcortexa9, atsamv,
-    beagleboardorig, beagleboardxm, beagleboneblack, beaglebonewhite,
-    csb336, csb337, csb637,
-    edb7312,
-    kit637_v6,
-    gumstix,
-    lm3s3749, lm3s6965, lm3s6965_qemu, lm4f120,
-    lpc1768_mbed, lpc1768_mbed_ahb_ram, lpc1768_mbed_ahb_ram_eth,
-    lpc17xx_ea_ram, lpc17xx_ea_rom_int, lpc17xx_plx800_ram,
-    lpc17xx_plx800_rom_int, lpc2362, lpc23xx_tli800, lpc24xx_ea,
-    lpc24xx_ncs_ram, lpc24xx_ncs_rom_ext, lpc24xx_ncs_rom_int,
-    lpc24xx_plx800_ram, lpc24xx_plx800_rom_int, lpc40xx_ea_ram,
-    lpc40xx_ea_rom_int, lpc32xx_mzx, lpc32xx_mzx_stage_1,
-    lpc32xx_mzx_stage_2, lpc32xx_phycore,
-    raspberrypi, raspberrypi2,
-    realview_pbx_a9_qemu, realview_pbx_a9_qemu_smp,
-    rtl22xx, rtl22xx_t,
-    smdk2410,
-    stm32f105rc, stm32f4,
-    tms570ls3137_hdk, tms570ls3137_hdk_intram,
-    tms570ls3137_hdk_sdram,
-    tms570ls3137_hdk_with_loader,
-    xilinx_zynq_zc702, xilinx_zynq_zc706, xilinx_zynq_zedboard,
-    xilinx_zynq_a9_qemu
-exclude-smp = arm1136jfs,
-    arm1136js, arm7tdmi, arm920, armcortexa9, atsamv,
-    beagleboardorig, beagleboardxm, beagleboneblack, beaglebonewhite,
-    csb336, csb337, csb637,
-    edb7312,
-    kit637_v6,
-    gumstix,
-    lm3s3749, lm3s6965, lm3s6965_qemu, lm4f120,
-    lpc1768_mbed, lpc1768_mbed_ahb_ram, lpc1768_mbed_ahb_ram_eth,
-    lpc17xx_ea_ram, lpc17xx_ea_rom_int, lpc17xx_plx800_ram,
-    lpc17xx_plx800_rom_int, lpc2362, lpc23xx_tli800, lpc24xx_ea,
-    lpc24xx_ncs_ram, lpc24xx_ncs_rom_ext, lpc24xx_ncs_rom_int,
-    lpc24xx_plx800_ram, lpc24xx_plx800_rom_int, lpc40xx_ea_ram,
-    lpc40xx_ea_rom_int, lpc32xx_mzx, lpc32xx_mzx_stage_1,
-    lpc32xx_mzx_stage_2, lpc32xx_phycore,
-    raspberrypi, raspberrypi2,
-    rtl22xx, rtl22xx_t,
-    smdk2410,
-    stm32f105rc, stm32f4,
-    tms570ls3137_hdk, tms570ls3137_hdk_intram,
-    tms570ls3137_hdk_sdram,
-    tms570ls3137_hdk_with_loader
-exclude-network =
-    altcycv_devkit, altcycv_devkit_smp,
-    realview_pbx_a9_qemu, realview_pbx_a9_qemu_smp
-
-[i386]
-bsps = pc686
-exclude = smp
-bspopts_pc686 = BSP_PRINT_EXCEPTION_CONTEXT=1
-
-[moxie]
-bsps = moxiesim
-
-[sparc]
-bsps = erc32, leon2, leon3
-
-[powerpc]
-bsps =
-
-[epiphany]
-bsps = epiphany-sim
+[architectures]
+include = rtems-bsps-arm.ini,
+          rtems-bsps-bfin.ini,
+          rtems-bsps-epiphany.ini,
+          rtems-bsps-i386.ini,
+          rtems-bsps-lm32.ini,
+          rtems-bsps-m32c.ini,
+          rtems-bsps-m68k.ini,
+          rtems-bsps-mips.ini,
+          rtems-bsps-moxie.ini,
+          rtems-bsps-or1k.ini,
+          rtems-bsps-powerpc.ini,
+          rtems-bsps-sh.ini,
+          rtems-bsps-sparc.ini,
+          rtems-bsps-sparc64.ini,
+          rtems-bsps-v850.ini
 
 #
@@ -168,5 +129,5 @@
 no-tests = config:base
 #
-# The all, default is Yes and can be overriden in an architecture.
+# The all build.
 #
 all = debug, profiling, smp, smp-debug,
@@ -177,18 +138,17 @@
 # The options for each varations.
 #
-debug             = config:base, config:tests, config:debug
-profiling         = config:base, config:tests, config:profiling
-smp               = config:base, config:tests, config:smp
-smp-debug         = config:base, config:tests, config:smp, config:debug
-posix             = config:base, config:tests, config:posix
-no-posix          = config:base, config:tests, config:no-posix
-posix-debug       = config:base, config:tests, config:posix, config:debug
-posix-profiling   = config:base, config:tests, config:posix, config:profiling
-network           = config:base, config:tests, config:network
-no-network        = config:base, config:tests, config:no-network
-network-debug     = config:base, config:tests, config:network, config:debug
-smp-network       = config:base, config:tests, config:smp, config:network
-smp-network-debug = config:base, config:tests, config:smp, config:network,
-                    config:debug
+debug             = config:base, config:debug
+profiling         = config:base, config:profiling
+smp               = config:base, config:smp
+smp-debug         = config:base, config:smp, config:debug
+posix             = config:base, config:posix
+no-posix          = config:base, config:no-posix
+posix-debug       = config:base, config:posix, config:debug
+posix-profiling   = config:base, config:posix, config:profiling
+network           = config:base, config:network
+no-network        = config:base, config:no-network
+network-debug     = config:base, config:network, config:debug
+smp-network       = config:base, config:smp, config:network
+smp-network-debug = config:base, config:smp, config:network, config:debug
 
 #
@@ -219,27 +179,2 @@
 network           = --enable-networking
 no-network        = --disable-networking
-
-#
-# Define how each profile is to be treated. Note, hardware vs simulator testing
-# is handled in the configuration, there is not specific test to determine
-# this.
-#
-[tier-1-profile]
-active = Yes
-build = Yes
-tests = Yes
-
-[tier-2-profile]
-active = Yes
-build = Yes
-tests = Yes
-
-[tier-3-profile]
-active = Yes
-build = Yes
-tests = No
-
-[tier-4-profile]
-active = No
-build = No
-tests = No
